Get list of import documents
Updated date: 18/08/2026
Updated by: VNPT eContract's team
Purpose
A function to retrieve the list of document batches imported on the user's system.
- Request URL:
/api/batch-imports - HTTP method:
GET - Authorize:
Bearer token - Parameter: Not required, but additional options can be added below to filter or search the list of document batches.
| Key | Type | Description |
|---|---|---|
search | string | Search information by name of document batch |
page | int | Page number (default is 1) |
pagesize | int | Page size (default is 10 records) |
Sample request
Query param:
page: 1
pageSize: 10
search: BATCH IMPORT 001
Request: /api/batch-imports?page=1&pageSize=10&search=BATCH IMPORT 001
Sample response body
{
"data": {
"items": [
{
"id": 1231,
"createdDate": "2022-12-02T15:04:28.7095771",
"uploadedByUserId": 2320,
"numberOfRecords": 1,
"name": "BATCH IMPORT 001",
"department": {
"id": 29,
"name": "VNPT Information Technology Company",
"code": "VNPT-IT",
"isShared": false
},
"documentType": {
"id": 46,
"code": "CKDS",
"name": "Sales discount",
"description": "Sales discount document",
"documentCount": 0,
"enableVnptSeal": false,
"requireVerifiedUserSigning": false,
"children": []
},
"status": {
"value": 2,
"description": "Completed"
},
"documents": [],
"errors": [],
"importType": {
"value": 1,
"description": "Documents created from templates"
}
}
],
"totalCount": 1,
"pageCount": 1,
"page": 1,
"pageSize": 10,
"hasNextPage": true,
"hasPreviousPage": false
},
"success": true,
"code": 0,
"messages": []
}
Response Parameters
| Key | Type | Description |
|---|---|---|
data | object | Object containing pagination information and the returned data list (see below) |
success | boolean | Request processing status (true: Success, false: Failed) |
code | int | Response status code from the system |
messages | Array[string] | List of messages returned by the system |
Details of the data object:
| Key | Type | Description |
|---|---|---|
items | Array[object] | List of import batches (see details below) |
totalCount | int | Total number of matching records |
pageCount | int | Total number of pages |
page | int | Current page |
pageSize | int | Number of records per page |
hasNextPage | boolean | Whether there is a next page (true: Yes, false: No) |
hasPreviousPage | boolean | Whether there is a previous page (true: Yes, false: No) |
Details of the attributes in items:
| Key | Type | Description |
|---|---|---|
id | int | ID of the import batch |
createdDate | string | Import batch creation time (ISO 8601 format) |
uploadedByUserId | int | ID of the user who performed the upload |
numberOfRecords | int | Number of records/documents in the batch |
name | string | Name of the import batch |
department | object | Department information (see below) |
documentType | object | Document type information (see below) |
status | object | Processing status of the import batch (2: Completed) |
documents | Array[object] | Detailed list of documents in the batch |
errors | Array[object] | List of errors encountered during import, if any |
importType | object | Import type (1: Documents created from templates) |
Details of the department object:
| Key | Type | Description |
|---|---|---|
id | int | Department ID |
name | string | Department name |
code | string | Department code |
isShared | boolean | Whether document access is shared with everyone in the department (true/false) |
Details of the documentType object:
| Key | Type | Description |
|---|---|---|
id | int | Document type ID |
code | string | Document type code |
name | string | Document type name |
description | string | Document type description |
documentCount | int | Number of documents of this type |
enableVnptSeal | boolean | VNPT SEAL message verification (true: Enabled, false: Disabled) |
requireVerifiedUserSigning | boolean | Whether the signer must have a verified identity (true/false) |